*,
*::before,
*::after {
    box-sizing: border-box;
}
.page-body {
    margin: 0;
    padding: 20px 100px;
    font-size: 24px;
}
.main-nav {
    background-color: #708090;
    padding: 7px 12px;

    display: flex;
    justify-content: center;
}
.main-menu {
    margin: 0;
    padding: 0;
    list-style: none;

    display: flex;
}
.main-menu__item {
    display: flex;
}
.main-menu__link {
    padding: 4px 7px;
    border: 1px solid #ffffff;
    text-decoration: none;
    text-transform: uppercase;

    transition: font-size 0.6s;
}
.main-menu__link:link {
    color: white;
}
.main-menu__link:visited {
    color: #00ff00
}
.main-menu__link:hover {
    color: rgba(255, 255, 255, 0.5);
    font-size: 28px;
}
.main-menu__link:focus {
    color: #219121;
}
.main-menu__link:active {
    color: #f48e0b;
}
/*GRID*/
.grid-container {
    display: grid;
    /*grid-template-columns: 100px 150px 50px 100px 150px 50px 100px 150px 50px 100px 150px 50px;*/
    /*grid-template-columns: repeat(4, 100px 150px 50px);*/
    grid-template-columns: repeat(auto-fit, calc(100% / 7));
    /*grid-row-gap: 10px;
    grid-column-gap: 20px;*/

    grid-gap: 10px 20px;
}
.[class^="grid-item"] {
    background-color: darkgrey;
    border: 1px solid black;
    padding: 15px;
    font-size: 28px;
    font-weight: 700;
}